# Interface ICefMediaObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaObserver = interface(ICefBaseRefCounted)`

## Description

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaObserver

## Overview

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray);`
| `procedure OnRoutes(const routes: TCefMediaRouteArray);`
| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);`
| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);`

## Description

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray);`
The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called. ###### Attributes GUID['{0B27C8D1-63E3-4F69-939F-DCAD518654A3}']

| `procedure OnRoutes(const routes: TCefMediaRouteArray);`
The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);`
The connection state of |route| has changed.

| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);`
A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

Generated by PasDoc 0.16.0-snapshot.